﻿using Newtonsoft.Json;

namespace WeatherDashboard
{
    [JsonConverter(typeof(JsonPathConverter))]
    public class CurrentForecast
    {
        [JsonProperty("last_updated")]
        public DateTime LastUpdated { get; set; }

        [JsonProperty("temp_f")]
        public decimal Temperature { get; set; }

        [JsonProperty("condition.text")]
        public string ConditionName { get; set; }
    }
}